/**
 * @file devkit_mpc5748g.h
 * @brief DEVKIT-MPC5748G evaluation board
 *
 * @section License
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 *
 * Copyright (C) 2010-2019 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Open.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.6
 **/

#ifndef _DEVKIT_MPC5748G_H
#define _DEVKIT_MPC5748G_H

//Dependencies
#include "mpc5748g.h"

//USR_LED1 (PA10)
#define USR_LED1 10
//USR_LED2 (PA7)
#define USR_LED2 7
//USR_LED3 (PH13)
#define USR_LED3 125
//USR_LED4 (PC4)
#define USR_LED4 36
//USR_LED5 (PH5)
#define USR_LED5 117
//USR_LED6 (PJ4)
#define USR_LED6 148
//USR_LED7 (PA0)
#define USR_LED7 0
//USR_LED8 (PA4)
#define USR_LED8 4

//USR_SW1 button (PA3)
#define USR_SW1 3
//USR_SW2 button (PE12)
#define USR_SW2 76

#endif
